@import 'https://fonts.googleapis.com/css?family=Lora:Regular400';
:root {
    --color-cream: #F6F5F1;
    --color-light-cream: #FCFBF7;
    --color-black: #353534;
    --color-almost-black: #443235;
    --color-chocolate: #e6ddde;
    --color-bright-crimson: #960462;
    --color-tinted-cream: #E6E3E1;
    --color-salmon: #FD8370;
    --color-darksea-blue: #00758F;
    
}
@keyframes slideInLeft {
    0% {
        transform: translateX(-100%);
    }
    100% {
        transform: translateX(0);
    }
}
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
}
body {
    background-color: var(--color-cream);
    font-family: 'Times New Roman', Times, serif; 
    color: var(--color-black);
}
header {
    display: flex; 
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    padding: 0 80px;
    margin-top: 150px;
}
header h1 {
    animation: 0.7s ease-out 0s 1 slideInLeft;
    font-size: 8.5rem;
    padding-bottom: 10px;
    
}
#name {
    font-weight: 600;
}
header h2 {
    
    animation: 0.7s ease-out 0s 1 slideInLeft;
    padding-top: 30px;
    font-size: 6rem;
    font-weight: 10;
}
header h2 a {
    text-decoration: none;
    color: var(--color-black);
}
header p {
    animation: 0.7s ease-out 0s 1 slideInLeft;
    padding-left: 7px;
    font-size: 2rem; 
}

nav {
    top: 0;
    margin: 10px;
    align-items: center;
    min-height: 75px;
    display: flex; 
    justify-content: end;
}

nav a {
    text-decoration: none;
    color: var(--color-black);
}

nav > ul {
    display: flex; 
    flex-direction: row;
}
nav > ul > li {
    list-style: none;
    padding-right: 50px;
    font-size: 1.5rem;
}
a:hover {
    color: var(--color-tinted-cream); 
    transition: 0.4s;
    
}
.spacer {
    height: 10rem;
}
#about {
    padding: 0 40px 10px 80px;
    margin-top: 32px;
    font-family: 'Lora';
}
#about h2 {
    font-family: 'Times New Roman', Times, serif;
    font-size: 1.1rem;
    padding-bottom: 50px;
    font-weight:800;
    text-transform: uppercase;
    
}
#about p {
    font-size: 1.4rem; 
}
#about h3 {
    font-family: 'Times New Roman', Times, serif;
    padding-top: 80px;
    font-size: 1.1rem;
    padding-bottom: 40px;
    text-transform: uppercase;
}
/* #about h3:after {
    content: ' ';
    display: block;
    border: 1px solid var(--color-darksea-blue);
    width: 19.5rem;
} */
.line {
    background-color: var(--color-salmon);
    height: 2px;
    border: 0;
    width: 40%;
    margin: 180px auto;
}
.grid {
    display: grid;
    margin: 10px 20px 0 80px;
    grid-template-columns: 2fr 1fr;
    grid-template-rows: auto;
    grid-template-areas: 
        "projects languages";
    gap: 2rem; 
}
#projects {
    /* border: 1px solid black; */
    display: grid; 
    grid-template-columns: 1fr 1fr;
    grid-gap: 2em; 
}
#projects h1 {
    grid-column: 1 / 3;
    font-size: 3rem;
    font-weight: 400;
}
.card {
    box-shadow: 0 1px 3px 0 rgba(0,0,0,0.2);
    text-align: center;
    background-color: var(--color-light-cream);
    border: 1px solid var(--color-tinted-cream);
    border-radius: 10px;
    padding: 2em;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 253px;
}
.card h2 {
    padding-bottom: 5px;
    font-size: 1.5em;
}
.lang-used ul {
    list-style: none;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 10px;
}
.lang-used > ul > li {
    padding-left: 10px;
}
.icons a {
    text-decoration: none;
    color: var(--color-black);
    padding-top: 10px;
}
.icons a:hover {
    color: var(--color-chocolate);
    transition: 0.4s;
}
.grow {
    transition: all .5s ease-in-out;
}
.grow:hover {
    transform: scale(1.1);
}
.languages h1 {
    margin-bottom: 20px;
    font-weight: 500;
    font-size: 3rem;
    text-align: center;
}
.skill_list {
    margin: 0 auto; 
    max-width: 250px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    text-align: center;
}
.btn {
    font-size: 1.5rem;
    margin: 0.5rem;
    padding: 0.8rem 1.4rem;
    display: block;
    cursor: pointer;
    list-style: none;
    background-color: var(--color-light-cream);
    border: 0;
    border-radius: 5px;
    box-shadow: 0 3px 3px 0 rgb(0 0 0 / 15%);
}
.btn:hover {
    transform: translateY(-4px);
    transition: 240ms;
}
#contact {
    display: block;
    justify-content: center;
    text-align: center;
}
#contact h1 {
    font-size: 3rem;
    font-weight: 100;
    padding-bottom: 30px;
   
}
#contact i {
    padding-right: 1rem;
    font-weight: 100; 
    color: var(--color-black);
}
#contact i:hover {
    color: var(--color-chocolate);
    transition: 0.4s;
}
footer {
    background-color: var(--color-black);
    color: var(--color-cream);
    margin-top: 5rem;
    padding: 20px;  
    display: flex;
    justify-content: space-around;
}
footer p {
    font-size: 1.1rem;
}
.emph {
    color: var(--color-bright-crimson);
}
.heart {
    font-family:'Courier New', Courier, monospace;
    color: red;
}
